Subject: bug#4091: closed (Re: bug#4091: No Japanese Katakana input with shift pressed in Japanese input mode (Kotoeri/Mac))

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 10 Jul 2016 14:59:02 +0000

Your bug report

#4091: No Japanese Katakana input with shift pressed in Japanese input mode (Kotoeri/Mac)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
4091: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4091
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4091: No Japanese Katakana input with shift pressed in Japanese input mode (Kotoeri/Mac)
From: Alan Third <[email-masked]>
To: Jean-Christophe Helary <[email-masked]>
Cc: [email-masked], YAMAMOTO Mitsuharu <[email-masked]>
Date: Sun, 10 Jul 2016 15:58:16 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Jean-Christophe Helary <[email-masked]> writes:

> My mistake. In AE 1.8 Shift+kb in Kotoeri works indeed. How can I
> correct this bug report ?

Hi, I believe you're saying this is not a problem any more? I'll close
the bug report, but if you're still seeing this problem let us know and
we can re-open it.
-- 
Alan Third

Subject: No Japanese Katakana input with shift pressed in Japanese input mode (Kotoeri/Mac)
From: Jean-Christophe Helary <[email-masked]>
To: [email-masked]
Date: Sun, 9 Aug 2009 11:03:52 +0900

I am using a Japanese input method (Kotoeri) that allows direct input  
of Katakana while holding the shift key.
In Aquamacs 1.8 and 2.0 preview holding the shift key only produces  
capital alphabet letters, not katakana signs.

Input without shift held correctly produces hiragana.

Jean-Christophe Helary

In GNU Emacs 22.3.1 (i386-apple-darwin9.7.0, Carbon Version 1.6.0)
  of 2009-06-08 on scarlett.local - Aquamacs Distribution 1.8c
Windowing system distributor `Apple Inc.', version 10.5.8
configured using `configure  '--without-x' '--prefix=/usr/local'  
'CFLAGS=-DMAC_OS_X_VERSION_MIN_REQUIRED=1040 -g -O9 -mtune=nocona - 
pipe -fomit-frame-pointer''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: nil
   locale-coding-system: iso-8859-1
   default-enable-multibyte-characters: t

Major mode: HTML helper

Minor modes in effect:
   savehist-mode: t
   smart-frame-positioning-mode: t
   aquamacs-autoface-mode: t
   global-visual-line-mode: t
   visual-line-mode: t
   recentf-mode: t
   encoded-kbd-mode: t
   osx-key-mode: t
   tabbar-mwheel-mode: t
   tabbar-mode: t
   show-paren-mode: t
   delete-selection-mode: t
   pc-selection-mode: t
   cua-mode: t
   tool-bar-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   unify-8859-on-encoding-mode: t
   utf-translate-cjk-mode: t
   auto-compression-mode: t
   smart-spacing-mode: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
<escape> <escape> <escape> <left> <right> k a K A <escape>
x r e p o r t <tab> e m <tab> <return>

Recent messages:
Truncate long lines disabled
Mark set
Aquamacs is based on GNU Emacs, a part of the GNU/Linux system. It is  
Free Software: you can improve and redistribute it under the GNU  
General Public License, version 3 or later. Copyright (C) 2009 Free  
Software Foundation, Inc. (C) 2009 D. Reitter. No Warranty.
Loading url-util...done
SOFA - Design, Interfaces & Software.html has auto save data; consider  
M-x recover-this-file
Loading html-helper-mode...done
Truncate long lines disabled
Mark set
Auto-saving...done
Loading emacsbug...done